# ContinueActionType

Enum in [DialogueAdvanceInput](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput.md)

Inherits from `System.Enum`

## Summary

The type of input that this component is listening for in order to signal that its dialogue view should advance.

```csharp
public enum ContinueActionType
{
    None,
    KeyCode,
    InputSystemAction,
    InputSystemActionFromAsset
}
```

## Members

| Name                                                                                                                                                                                                                           | Description                                                                                                                                                                                                                   |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [InputSystemAction](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-1/yarn.unity.dialogueadvanceinput.continueactiontype.inputsystemaction.md)                   | The component is listening for the action configured in [continueAction](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueaction.md) to be performed.                       |
| [InputSystemActionFromAsset](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-1/yarn.unity.dialogueadvanceinput.continueactiontype.inputsystemactionfromasset.md) | The component is listening for the action referred to by [continueActionReference](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactionreference.md) to be performed.    |
| [KeyCode](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-1/yarn.unity.dialogueadvanceinput.continueactiontype.keycode.md)                                       | The component is listening for a key on the keyboard to be pressed.                                                                                                                                                           |
| [None](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-1/yarn.unity.dialogueadvanceinput.continueactiontype.none.md)                                             | The component is listening for no input. This component will not signal to [dialogueView](/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.dialogueview.md) that it should advance. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn.unity/yarn.unity.dialogueadvanceinput/yarn.unity.dialogueadvanceinput.continueactiontype-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
